Overview
POST
/project/projects/{id}/researchprojectMark this project as research (idempotent)
Create a record in research.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
201
Marked as research
- projectIdstring
- researchboolean
always true on success
Example
{
"projectId": "string",
"research": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/project/projects/{id}/research" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/projects/{id}/research", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();